Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CpwData Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CpwData:
[legend]
Collaboration diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::CpwData:
[legend]

## Public Member Functions

| CpwData (Ogawa::OGroupPtr iGroup)
size_t | getNumProperties ()
const AbcA::PropertyHeader & | getPropertyHeader (size_t i)
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName)
AbcA::BasePropertyWriterPtr | getProperty (const std::string &iName)
AbcA::ScalarPropertyWriterPtr | createScalarProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, Util::uint32_t iTimeSamplingIndex)
AbcA::ArrayPropertyWriterPtr | createArrayProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::MetaData &iMetaData, const AbcA::DataType &iDataType, Util::uint32_t iTimeSamplingIndex)
AbcA::CompoundPropertyWriterPtr | createCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const AbcA::MetaData &iMetaData)
void | writePropertyHeaders (MetaDataMapPtr iMetaDataMap)
void | fillHash (size_t iIndex, Util::uint64_t iHash0, Util::uint64_t iHash1)
void | computeHash (Util::SpookyHash &ioHash)

The documentation for this class was generated from the following files:

- AbcCoreOgawa/CpwData.h
- AbcCoreOgawa/CpwData.cpp